[ubuntu-studio-users] firewire broken after upgrade

bart deruyter bart.deruyter at gmail.com
Thu Nov 7 08:15:05 UTC 2013


Thanks for the info Takashi,

I tried what you suggested:
sudo modprobe firewire_ohci

ffado-diag tells me then the new 1394 is loaded, but not active

sudo modprobe firewire_core
doesn't result in anything

I now connected my video camera, as firewiredevice, to check if it might be
my audiofire12 being broken, but it does not get recognized anymore either.

trying:
ls /dev doesn't show any fw devices after loading the firewire_ohci module.

I'm starting to guess if it would be the firewire ports itself that are not
active for some reason...

Grtz,

Bart


http://www.bartart3d.be/
On facebook <https://www.facebook.com/pages/BartArt3D/169488999795102>
On Twitter <https://twitter.com/#%21/Bart_Issimo>
On Identi.ca <http://identi.ca/bartart3d>
On Google+ <https://plus.google.com/u/0/b/116379400376517483499/>


2013/11/7 Takashi Sakamoto <o-takashi at sakamocchi.jp>

> Hi,
>
> I'm a developer of FFADO upstream and recently work for improvement of
> AudioFire driver. This year, I spend much hours with Ubuntu Studio and
> low-latency kernel for my developing and have no problems about host
> controller.
>
> > bart
>
> As a quick grance of your logs, firewire_ohci/firewire_core is not loaded.
> So let's try to modprobe them. Then check if character devices exists
> (/dev/fw*).
>
> If you can see /dev/fw0 and /dev/fw1, FFADO can driver your AudioFire.
>
> > Mac and Kaj
>
> I confirmed that FFADO cannot drive AudioFire12 (and maybe AudioFire8)
> with firmware version 5.2.1 or later. Recently I committed my workaround
> for this issue to revision 2451-2453 and need testers. Would you please
> test the recent FFADO? You can get debian package for lucid and saucy from
> my PPA.
> https://launchpad.net/~mocchi/+archive/instruments
>
> If you need package for other Ubuntu version, please inform me. I'll
> upload it into my PPA.
>
>
> Regards
>
> Takashi Sakamoto
>
>
> (2013年11月06日 06:32), bart deruyter wrote:
>
>> Hi guys,
>>
>> last attempt to find help before I do a fresh install:
>>
>> I have quite an issue with my audiofire12 (firewiredevice) since I
>> upgraded to 13.10. Firewire worked at first, but yesterday morning there
>> was 'nothing', no sound, no firewiredevice detected by the system.
>>
>> I have been busy half a day on trying out different things, nothing
>> seems to have worked so far, so now I'll ask it through this mailing
>> list: how can I fix it?
>>
>> For starters, I have the output of ffado-diag added here, if that would
>> show interesting things to solve it. I see the new firewire stack is
>> present, not loaded on boot, not activated and /dev/raw1394 is not
>> present.
>>
>> My guess that is the issue, so how do I get this stack loaded on boot,
>> active and with /dev/raw1394 node present, if that's necessary, and is
>> it the new firewire stack that I have to use in 13.10?
>>
>> FFADO diagnostic utility 2.1.9999-
>> ============================
>> (C) 2008 Pieter Palmers
>>      2009-2010 Arnold Krille
>>
>>
>> === CHECK ===
>>   Base system...
>>    kernel version............ 3.11.0-11-lowlatency
>>      Preempt (low latency)... True
>>      RT patched.............. False
>>    old 1394 stack present.... False
>>    old 1394 stack loaded..... False
>>    old 1394 stack active..... False
>>    new 1394 stack present.... True
>>    new 1394 stack loaded..... False
>>    new 1394 stack active..... False
>>    /dev/raw1394 node present. False
>>    User IDs:
>> UID=1000(bart) GID=1000(bart)
>> groepen=1000(bart),4(adm),20(dialout),21(fax),24(cdrom),25(
>> floppy),27(sudo),29(audio),30(dip),33(www-data),44(video),
>> 46(plugdev),100(users),103(syslog),107(scanner),109(
>> lpadmin),123(sambashare),124(debian-tor),128(vboxusers),65534(nogroup)
>>   Prerequisites (dynamic at run-time)...
>>     gcc ............... gcc (Ubuntu/Linaro 4.8.1-10ubuntu8) 4.8.1
>>     g++ ............... g++ (Ubuntu/Linaro 4.8.1-10ubuntu8) 4.8.1
>>     PyQt4 (by pyuic4) . Python User Interface Compiler 4.10.3 for Qt
>> version 4.8.4
>>     jackd ............. no message buffer overruns
>>       path ............ /usr/bin/jackd
>>       flags ........... Package jack was not found in the pkg-config
>> search path.
>> Perhaps you should add the directory containing `jack.pc'
>> to the PKG_CONFIG_PATH environment variable
>> No package 'jack' found
>>     libraw1394 ........ Package libraw1394 was not found in the
>> pkg-config search path.
>> Perhaps you should add the directory containing `libraw1394.pc'
>> to the PKG_CONFIG_PATH environment variable
>> No package 'libraw1394' found
>>       flags ........... Package libraw1394 was not found in the
>> pkg-config search path.
>> Perhaps you should add the directory containing `libraw1394.pc'
>> to the PKG_CONFIG_PATH environment variable
>> No package 'libraw1394' found
>>     libavc1394 ........ Package libavc1394 was not found in the
>> pkg-config search path.
>> Perhaps you should add the directory containing `libavc1394.pc'
>> to the PKG_CONFIG_PATH environment variable
>> No package 'libavc1394' found
>>       flags ........... Package libavc1394 was not found in the
>> pkg-config search path.
>> Perhaps you should add the directory containing `libavc1394.pc'
>> to the PKG_CONFIG_PATH environment variable
>> No package 'libavc1394' found
>>     libiec61883 ....... Package libiec61883 was not found in the
>> pkg-config search path.
>> Perhaps you should add the directory containing `libiec61883.pc'
>> to the PKG_CONFIG_PATH environment variable
>> No package 'libiec61883' found
>>       flags ........... Package libiec61883 was not found in the
>> pkg-config search path.
>> Perhaps you should add the directory containing `libiec61883.pc'
>> to the PKG_CONFIG_PATH environment variable
>> No package 'libiec61883' found
>>     libxml++-2.6 ...... Package libxml++-2.6 was not found in the
>> pkg-config search path.
>> Perhaps you should add the directory containing `libxml++-2.6.pc'
>> to the PKG_CONFIG_PATH environment variable
>> No package 'libxml++-2.6' found
>>       flags ........... Package libxml++-2.6 was not found in the
>> pkg-config search path.
>> Perhaps you should add the directory containing `libxml++-2.6.pc'
>> to the PKG_CONFIG_PATH environment variable
>> No package 'libxml++-2.6' found
>>     dbus-1 ............ 1.6.12
>>       flags ........... -I/usr/include/dbus-1.0
>> -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include  -ldbus-1
>>   Prerequisites (static at compile-time)...
>>     gcc ............... gcc (Ubuntu/Linaro 4.7.2-20ubuntu1) 4.7.2
>>     g++ ............... g++ (Ubuntu/Linaro 4.7.2-20ubuntu1) 4.7.2
>>     PyQt4 (by pyuic4) . Python User Interface Compiler 4.9.6 for Qt
>> version 4.8.3
>>     jackd ............. sh: 1: jackd: not found
>>       path ............
>>       flags ........... Package jack was not found in the pkg-config
>> search path.
>>     libraw1394 ........ 2.0.9
>>       flags ...........  -lraw1394
>>     libavc1394 ........ Package libavc1394 was not found in the
>> pkg-config search path.
>>       flags ........... Package libavc1394 was not found in the
>> pkg-config search path.
>>     libiec61883 ....... 1.2.0
>>       flags ...........  -liec61883 -lraw1394
>>     libxml++-2.6 ...... 2.34.2
>>       flags ........... -I/usr/include/libxml2 -I/usr/include/glibmm-2.4
>> -I/usr/lib/x86_64-linux-gnu/glibmm-2.4/include -I/usr/include/sigc++-2.0
>> -I/usr/lib/x86_64-linux-gnu/sigc++-2.0/include -I/usr/include/glib-2.0
>> -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/libxml++-2.6
>> -I/usr/lib/libxml++-2.6/include  -lxml++-2.6 -lxml2 -lglibmm-2.4
>> -lgobject-2.0 -lsigc-2.0 -lglib-2.0
>>     dbus-1 ............ 1.6.8
>>       flags ........... -I/usr/include/dbus-1.0
>> -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include  -ldbus-1
>>   uname -a...
>>     Linux bart-PC 3.11.0-11-lowlatency #4-Ubuntu SMP PREEMPT Wed Oct 2
>> 22:48:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
>>   Hardware...
>>     Host controllers:
>>     CPU info:
>> Architecture:          x86_64
>> CPU-modus(sen):        32-bit, 64-bit
>> Byte Order:            Little Endian
>> CPU(s):                8
>> On-line CPU(s) list:   0-7
>> Draden per kern:       2
>> Kern(en) per voet:     4
>> Socket(s):             1
>> NUMA-node(s):          1
>> Producent-ID:          GenuineIntel
>> CPU-familie:           6
>> Model:                 42
>> Stepping:              7
>> CPU-frequentie (MHz):  3701.000
>> BogoMIPS:              6784.21
>> Virtualisatie:         VT-x
>> L1d-cache:             32K
>> L1i-cache:             32K
>> L2-cache:              256K
>> L3-cache:              8192K
>> NUMA node0 CPU(s):     0-7
>>   Configuration...
>>    IRQ information
>> Hardware Interrupts:
>> --------------------
>>   IRQ    0: PID:  None, count: [25, 0, 0, 0, 0, 0, 0, 0], Sched None
>> (priority None), drivers: ['timer']
>>   IRQ    1: PID:  None, count: [85, 0, 0, 0, 0, 0, 0, 0], Sched None
>> (priority None), drivers: ['i8042']
>>   IRQ    4: PID:  None, count: [4, 0, 0, 0, 0, 0, 0, 0], Sched None
>> (priority None), drivers: ['']
>>   IRQ    8: PID:  None, count: [1, 0, 0, 0, 0, 0, 0, 0], Sched None
>> (priority None), drivers: ['rtc0']
>>   IRQ    9: PID:  None, count: [0, 0, 0, 0, 0, 0, 0, 0], Sched None
>> (priority None), drivers: ['acpi']
>>   IRQ   16: PID:  None, count: [62, 2753, 0, 1571, 0, 0, 0, 0], Sched
>> None (priority None), drivers: ['nvidia']
>>   IRQ   17: PID:  None, count: [186, 0, 0, 0, 0, 0, 0, 0], Sched None
>> (priority None), drivers: ['snd_hda_intel']
>>   IRQ   18: PID:  None, count: [231151, 0, 373, 0, 0, 0, 0, 0], Sched
>> None (priority None), drivers: ['ehci_hcd:usb1']
>>   IRQ   19: PID:  None, count: [13004, 0, 77457, 0, 0, 0, 0, 0], Sched
>> None (priority None), drivers: ['ata_piix', 'ata_piix']
>>   IRQ   23: PID:  None, count: [463, 1347, 0, 100, 0, 0, 0, 0], Sched
>> None (priority None), drivers: ['ehci_hcd:usb2']
>>   IRQ   42: PID:  None, count: [0, 0, 0, 0, 0, 0, 0, 0], Sched None
>> (priority None), drivers: ['xhci_hcd']
>>   IRQ   43: PID:  None, count: [0, 0, 0, 0, 0, 0, 0, 0], Sched None
>> (priority None), drivers: ['xhci_hcd']
>>   IRQ   44: PID:  None, count: [105, 13896, 0, 1583, 0, 0, 0, 0], Sched
>> None (priority None), drivers: ['eth0']
>>   IRQ   45: PID:  None, count: [0, 0, 0, 0, 0, 0, 0, 0], Sched None
>> (priority None), drivers: ['ahci']
>>   IRQ   46: PID:  None, count: [10, 0, 0, 0, 0, 0, 0, 0], Sched None
>> (priority None), drivers: ['mei_me']
>>   IRQ   47: PID:  None, count: [593, 0, 0, 0, 0, 0, 0, 0], Sched None
>> (priority None), drivers: ['snd_hda_intel']
>>
>> Software Interrupts:
>> --------------------
>>
>>
>> === REPORT ===
>> FireWire kernel drivers:
>>
>> FireWire kernel stack not present. Please compile the kernel with
>> FireWire support.
>>
>>
>>
>>
>> http://www.bartart3d.be/
>> On facebook <https://www.facebook.com/pages/BartArt3D/169488999795102>
>> On Twitter <https://twitter.com/#%21/Bart_Issimo>
>> On Identi.ca <http://identi.ca/bartart3d>
>> On Google+ <https://plus.google.com/u/0/b/116379400376517483499/>
>>
>>
>>
>
> --
> ubuntu-studio-users mailing list
> ubuntu-studio-users at lists.ubuntu.com
> Modify settings or unsubscribe at: https://lists.ubuntu.com/
> mailman/listinfo/ubuntu-studio-users
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.ubuntu.com/archives/ubuntu-studio-users/attachments/20131107/f5840ee7/attachment-0001.html>


More information about the ubuntu-studio-users mailing list